// this file is included by geometry.glsl
void main()
{
	vec4 normal = vec4(in_Normal, 0.0);
	normal = (viewMatrix*modelMatrix) * normal;
	
	ex_Color = vec4(in_Normal, 1.0);
	ex_Normal = normalize(normal.xyz).xyz;
	ex_UV = in_UV.xy;

	PROCESSING_FUNCTION();

	//ex_Position = (viewMatrix*modelMatrix)*in_Position;
	//gl_Position = (projectionMatrix*viewMatrix*modelMatrix)*in_Position;
}

